package com.sun.faces.systest.model;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;

public class PrivateBean {

    static int constructCount;
    static int destroyCount;

    @PostConstruct
    private void postConstruct() {
        constructCount++;
    }

    @PreDestroy
    private void preDestroy() {
        destroyCount++;
    }

    public int getConstructCount() {
        return constructCount;
    }

    public static int getDestroyCount() {
        return destroyCount;
    }

} // END ProtectedBean
