<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <title>Managed Bean Lifecycle Annotations</title>
    <%@ page import="com.sun.faces.systest.model.*" %>
    <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
    <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
</head>

<body>
<h1>Managed Bean Lifecycle Annotations</h1>

<f:view>

    <h:outputText value="Protected Construct Count: #{protectedbean.constructCount}"/><br>
    <h:outputText value="Package Private Construct Count: #{packageprivatebean.constructCount}"/><br>
    <h:outputText value="Private Construct Count: #{privatebean.constructCount}"/><br>
    
    <%        
        
        request.removeAttribute("protectedbean");
        request.removeAttribute("packageprivatebean");
        request.removeAttribute("privatebean");
        
        out.println("Protected Destroy Count: " + ProtectedBean.getDestroyCount() + "<br>");
        out.println("Package Private Destroy Count: " + PackagePrivateBean.getDestroyCount() + "<br>");
        out.println("Private Destroy Count: " + PrivateBean.getDestroyCount() + "<br>");
    %>
    
</f:view>
<hr>
</body>
</html>
